<?php // vim: ts=4 sw=4 sts=4 fdm=marker ai noet:
// PukiWiki - Yet another WikiWikiWeb clone.
// $Id: add.inc.php,v 1.3 2005/02/11 14:47:42 ishii Exp $
//
// Add plugin - Append new text below/above existing page
// Usage: cmd=add&page=pagename

function plugin_add_action()
{
	global $get, $post, $vars, $_title_add, $_msg_add;

	if (PKWK_READONLY) die_message('PKWK_READONLY prohibits editing');

	$page = isset($vars['page']) ? $vars['page'] : '';
	check_editable($page);

	$get['add'] = $post['add'] = $vars['add'] = TRUE;
	return array('msg'=>$_title_add, 'body' => '<ul>' . "\n" .
		' <li>' . $_msg_add . '</li>' . "\n" . '</ul>' . "\n" .
		edit_form($page, ''));
}

?>
